---
title: AudioScheduledSourceNode.stop()
slug: Web/API/AudioScheduledSourceNode/stop
tags:
  - API
  - Audio
  - AudioScheduledSourceNode
  - Media
  - Method
  - Reference
  - Web Audio API
  - sound
  - stop
---
<p>{{ APIRef("Web Audio API") }}</p>

<p>The <code>stop()</code> method on {{domxref("AudioScheduledSourceNode")}} schedules a sound to cease playback at the specified time. If no time is specified, then the sound stops playing immediately.</p>

<p>Each time you call <code>stop()</code> on the same node, the specified time replaces any previously-scheduled stop time that hasn't occurred yet. If the node has already stopped, this method has no effect.</p>

<div class="note">
<p><strong>Note:</strong> If a scheduled stop time occurs before the node's scheduled start time, the node never starts to play.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>AudioScheduledSourceNode</em>.stop([<em>when</em>]);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>when</code> {{optional_inline}}</dt>
 <dd>The time, in seconds, at which the sound should stop playing. This value is specified in the same time coordinate system as the {{domxref("AudioContext")}} is using for its {{domxref("AudioContext.currentTime", "currentTime")}} attribute. Omitting this parameter, specifying a value of 0, or passing a negative value causes the sound to stop playback immediately.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref("undefined")}}</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt><code>InvalidStateNode</code></dt>
 <dd>The node has not been started by calling {{domxref("AudioScheduledSourceNode.start", "start()")}}.</dd>
 <dt><code>RangeError</code></dt>
 <dd>The value specified for <code>when</code> is negative.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example demonstrates starting an oscillator node, scheduled to begin playing at once and to stop playing in one second. The stop time is determined by taking the audio context's current time from {{domxref("AudioContext.currentTime")}} and adding 1 second.</p>

<pre class="brush: js">context = new AudioContext();
osc = context.createOscillator();
osc.connect(context.destination);

/* Let's play a sine wave for one second. */

osc.start();
osc.stop(context.currentTime + 1);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audioscheduledsourcenode-stop', 'stop()')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioScheduledSourceNode.stop")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
 <li>{{domxref("AudioScheduledSourceNode.start", "start()")}}</li>
 <li>{{domxref("AudioScheduledSourceNode")}}</li>
 <li>{{domxref("AudioBufferSourceNode")}}</li>
 <li>{{domxref("ConstantSourceNode")}}</li>
 <li>{{domxref("OscillatorNode")}}</li>
</ul>
